import request from '@/utils/request'

// 查询商品列表列表
export function listGameMallGoods(query) {
  return request({
    url: '/system/GameMallGoods/list',
    method: 'get',
    params: query
  })
}

// 查询商品列表详细
export function getGameMallGoods(id) {
  return request({
    url: '/system/GameMallGoods/' + id,
    method: 'get'
  })
}

// 新增商品列表
export function addGameMallGoods(data) {
  return request({
    url: '/system/GameMallGoods',
    method: 'post',
    data: data
  })
}

// 修改商品列表
export function updateGameMallGoods(data) {
  return request({
    url: '/system/GameMallGoods',
    method: 'put',
    data: data
  })
}

// 删除商品列表
export function delGameMallGoods(id) {
  return request({
    url: '/system/GameMallGoods/' + id,
    method: 'delete'
  })
}

// 导出商品列表
export function exportGameMallGoods(query) {
  return request({
    url: '/system/GameMallGoods/export',
    method: 'get',
    params: query
  })
}