import request from '@/utils/request'

// 查询用户列表列表
export function listGameUserList(query) {
  return request({
    url: '/system/GameUserList/list',
    method: 'get',
    params: query
  })
}

// 查询用户列表详细
export function getGameUserList(id) {
  return request({
    url: '/system/GameUserList/' + id,
    method: 'get'
  })
}

// 新增用户列表
export function addGameUserList(data) {
  return request({
    url: '/system/GameUserList',
    method: 'post',
    data: data
  })
}

// 修改用户列表
export function updateGameUserList(data) {
  return request({
    url: '/system/GameUserList',
    method: 'put',
    data: data
  })
}

// 删除用户列表
export function delGameUserList(id) {
  return request({
    url: '/system/GameUserList/' + id,
    method: 'delete'
  })
}

// 导出用户列表
export function exportGameUserList(query) {
  return request({
    url: '/system/GameUserList/export',
    method: 'get',
    params: query
  })
}